org.apache.maven.scm.provider.perforce.command.tag

## Class PerforceTagConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer
  - - org.apache.maven.scm.provider.perforce.command.tag.PerforceTagConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class PerforceTagConsumer
    extends AbstractPerforceConsumer
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Mike Perham, Olivier Lamy

### Field Summary

Fields
`static int` `STATE_CREATE`
`static int` `STATE_ERROR`
`static int` `STATE_SYNC`

### Fields inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`output`

### Constructor Summary

Constructors
Constructor and Description
`PerforceTagConsumer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<ScmFile>` `getTagged()` Return a list of Strings formatted like:
`boolean` `isSuccess()`

### Methods inherited from class org.apache.maven.scm.provider.perforce.command.AbstractPerforceConsumer

`getOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATE_CREATE

    public static final int STATE_CREATE

See Also:
  Constant Field Values

#### STATE_SYNC

    public static final int STATE_SYNC

See Also:
  Constant Field Values

#### STATE_ERROR

    public static final int STATE_ERROR

See Also:
  Constant Field Values

### Constructor Detail

#### PerforceTagConsumer

    public PerforceTagConsumer()

### Method Detail

#### getTagged

    public List<ScmFile> getTagged()

Return a list of Strings formatted like:

     //depot/modules/cordoba/runtime-ear/pom.xml
     //depot/modules/cordoba/runtime-ear/.runtime

#### consumeLine

    public void consumeLine(String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### isSuccess

    public boolean isSuccess()